{% extends 'accounts/base.html' %}
{% block page_contents %}
{% load static %}
{% load widget_tweaks %}

<div class="row">
    <div class="col-md-6 m-1 mx-auto p-3 shadow rounded">
        <div class="page-header">
            <div class="text-left">
                <h4><i class="fa fa-sign-in" aria-hidden="true"></i> FestHub Register</h4>
            </div>
        </div>

        <form class="site-form text-center" action="{% url 'accounts:signup' %}" method="post">
            {% csrf_token %}
            <img class="my-3 mx-auto" src="{% static 'brand/logo.webp' %}" alt="logo" width="72" height="72">
            <div class="col-md-4 mx-auto">
                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon1"><i class="fa fa-user"></i></span>
                    <input type="text" class="form-control" name="username" placeholder="Username" aria-label="Username" aria-describedby="basic-addon1">
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon2"><i class="fa fa-envelope"></i></span>
                    <input type="email" class="form-control" name="email" placeholder="Email" aria-label="Email" aria-describedby="basic-addon2">
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon3"><i class="fa fa-lock"></i></span>
                    <input type="password" class="form-control" name="password1" id="password1" placeholder="Password" aria-label="Password" aria-describedby="basic-addon3">
                    <button class="btn btn-outline-secondary" type="button" id="togglePassword"><i class="fa fa-eye"></i></button>
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon4"><i class="fa fa-lock"></i></span>
                    <input type="password" class="form-control" name="password2" id="password2" placeholder="Confirm Password" aria-label="Confirm Password" aria-describedby="basic-addon4">
                    <button class="btn btn-outline-secondary" type="button" id="togglePassword2"><i class="fa fa-eye"></i></button>
                </div>
                <button type="submit" class="btn btn-primary btn-lg btn-block">Signup</button>
            </div>
        </form>

        <p>Already have an account? <a href="{% url 'accounts:login' %}">Log in</a>.</p>
        <div class="text-center">
            <a href="{% url 'home' %}" class="text-primary-sm">Back</a>
        </div>

        <footer class="pt-2 mx-auto text-center">
            <small><span class="text-muted">Licensed to SPIT | <a href="https://festhub.spit.ac.in">FestHub</a> {% now "Y" %}</a>.</span></small>
        </footer>
    </div>
</div>

<script>
    document.getElementById("togglePassword").addEventListener("click", function () {
        var passwordInput = document.getElementById("password1");
        if (passwordInput.type === "password") {
            passwordInput.type = "text";
        } else {
            passwordInput.type = "password";
        }
    });
    document.getElementById("togglePassword2").addEventListener("click", function () {
        var passwordInput = document.getElementById("password2");
        if (passwordInput.type === "password") {
            passwordInput.type = "text";
        } else {
            passwordInput.type = "password";
        }
    });
</script>

{% endblock %}